<?php

use Classes\StaticFunctions as Statics;

class Admin extends \Classes\DefaultClass
{

    public function renderDefault()
    {
        $latte = $this->setLatte();
        $this->isLoggedIn();
        $this->setActiveMenu(self::MENU_HOME);
        $this->setActiveModal(1);

        $page = 1;
        $attendanceData = $this->container->getAttendanceFacade()->getAttendanceForAdmin($page, 1);

        $this->addData('pages', $attendanceData['pages']);
        $this->addData('attendances', $attendanceData['data']);
        $this->addData('programs', \Classes\Attendance\Manager::PROGRAM_DICTIONARY);
        $this->addData('page', $page);
        $this->addData('isAdminPage', 1);

        $this->renderLayout($latte, 'index', $this->getData(), self::LATTE_ADMIN);
    }

}