<?php

use \Classes\Attendance\Manager as AManager;
use \Mpdf\Mpdf;
use \Classes\StaticFunctions;

class Contract extends \Classes\DefaultClass
    {
        public function renderShowAll()
        {
            $latte = $this->setLatte();
            $this->isLoggedIn();
            $this->setActiveMenu(self::MENU_ATTENDANCE);
            $this->isSelect2Used(true);

            $this->addData('programs', AManager::PROGRAM_DICTIONARY);

            $this->renderLayout($latte, 'contractAll', $this->getData(), self::LATTE_ADMIN);
        }

        public function renderCreate()
        {
            $latte = $this->setLatte();
            $this->isLoggedIn();
            $this->setActiveMenu(self::MENU_ATTENDANCE);

            $mpdf = new Mpdf();
            $mpdf->WriteHTML(StaticFunctions::renderLatte('www/admin/contracts/longVolunteer.latte', []));
            $mpdf->Output();

            $this->renderLayout($latte, 'contracts/longVolunteer', $this->getData(), self::LATTE_ADMIN);
        }

    }
