package com.example.volunteersapp.ui.home;

import static com.example.volunteersapp.MainActivity.userData;

import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModel;

import com.example.volunteersapp.ui.model.User;

public class HomeViewModel extends ViewModel
{

    private final MutableLiveData<String> mText;
    private final MutableLiveData<String> userName;

    public HomeViewModel()
    {
        mText = new MutableLiveData<>();
        mText.setValue("Vytvoření docházky");

        userName = new MutableLiveData<>();
        userName.setValue(userData.getUserName());
    }

    public LiveData<String> getText()
    {
        return mText;
    }

    public LiveData<String> getUserName()
    {
        return userName;
    }
}