<?php
namespace Classes\File;

use Classes\Dibi;

class Manager extends \Classes\Dibi
{
    const TABLE = 'tFiles';
    const PRIMARY = 'id';

    const FK_USER_ID = 'FK_userID';
    const FK_CONTRACT_ID = 'FK_contractID';
    const PATH = 'path';
    const NAME = 'name';
    const SIZE = 'size';
    const TYPE = 'type';

    public function getAllByUserID(int $userID): array
    {
        $query = $this->db->select(self::ALL);
        $query->from(self::TABLE);
        $query->where('%n = %i', self::FK_USER_ID, $userID);

        return $query->fetchAll();
    }
}